/*
     This file is part of GNUnet
     (C) 2001, 2002 Christian Grothoff (and other contributing authors)

     GNUnet is free software; you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published
     by the Free Software Foundation; either version 2, or (at your
     option) any later version.

     GNUnet is distributed in the hope that it will be useful, but
     WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
     General Public License for more details.

     You should have received a copy of the GNU General Public License
     along with GNUnet; see the file COPYING.  If not, write to the
     Free Software Foundation, Inc., 59 Temple Place - Suite 330,
     Boston, MA 02111-1307, USA.
*/
/**
 * These functions deal with CRC32 checksums.
 * @file gnet/include/checksum.h
 * @author Krista Bennett
 **/

#ifndef CHECKSUM_H
#define CHECKSUM_H

#include "config.h"
#include "crc32.h"

/** type for crc32 results */
#define Ulong uLong


/**
 * Compute the CRC32 checksum for the first len
 * bytes of the buffer.
 * @param buf the data over which we're taking the CRC
 * @param crc the resulting CRC32 checksum
 **/
int crc32N(void * buf, int len);

/**
 * This method does not really belong here, but
 * where else to put it...
 * @return a random value in the interval [0,i[. 
 **/
int randomi(int i);

#endif

/* end of checksum.h */
